MINIOS-CONFIGURATOR(1)

NAME
minios-configurator - Configure MiniOS system settings

SYNOPSIS
minios-configurator [config-file]

DESCRIPTION
minios-configurator is a GTK3 graphical utility for configuring MiniOS system settings. It provides an interface for modifying live-config parameters that control system behavior.

Reads and writes configuration files in live-config format, typically at /etc/live/config.conf with validation and auto-completion.

Requires administrative privileges via PolicyKit authentication.

USAGE
1. Configure system identity (hostname, username)

2. Set localization (locale, timezone, keyboard)

3. Manage security (user/root passwords)

4. Control services (enable/disable systemd services)

CONFIGURATION OPTIONS

System
    Hostname, username

Locale
    System locales, timezone, keyboard layout

Security
    User password, root password

Services
    Enabled/disabled systemd services

FILES
/etc/live/config.conf
/usr/share/applications/minios-configurator.desktop
/usr/share/polkit-1/actions/org.minios.configurator.policy
/usr/lib/minios-configurator/

NOTES

Configuration changes take effect after reboot.

Provides auto-completion and input validation.

AUTHOR
crims0n <crims0n@minios.dev>

BUGS
https://github.com/minios-linux/minios-configurator/issues